Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.events.data
Interface TaskEvent

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  TaskAdminEvent, TaskAssignEvent, TaskClaimEvent, TaskCreateEvent, TaskExpireEvent, TaskReactivateEvent, TaskReturnEvent, TaskSetCurrentStepEvent, TaskStepActionEvent, TaskStepChangeEvent, TaskStepExpireEvent, TaskUpdatePropertyEvent, TaskUpdateSystemPropertyEvent

    public interface TaskEvent

extends Serializable

BEA Systems, Inc.

Nested Class Summary
`static class` | `TaskEvent.Type` Enumeration for different types of events.

Method Summary
`AdminState.Type` | `getAdminState()` Current admin state at the time this event was created.
`AssigneeDefinition[]` | `getAssigneeList()` Current assignee list at the time this event was created.
`String` | `getCaller()` User name of the user that caused the change.
`String` | `getClaimant()` Current claimant at the time this event was created.
`String` | `getCreator()` User that created this task.
`TaskEvent.Type` | `getEventType()` The type of event this event instance represents.
`String` | `getOwner()` Current owner at the time this event was created.
`String` | `getServerName()` The name of the server upon which this task change occurred.
`String` | `getSummary()` A summary of the most relevant information in this event, limited to 100 characters.
`String` | `getTaskId()` ID of the task that was changed.
`String` | `getTaskName()` Name of the task that was changed
`TaskPlanId` | `getTaskPlanId()` ID of the task that was changed.
`long` | `getTimestamp()` Timestamp (long value representing local system time).
`WorkingState.Type` | `getWorkingState()` Current working state at the time this event was created.

Method Detail

### getEventType

    TaskEvent.Type getEventType()

  The type of event this event instance represents. Listeners can use this property for simple filtering. In order to obtain event type-specific properties from the event, listeners should cast this event to the appropriate event class based on the runtime type of this event instance.

### getTaskId

    String getTaskId()

  ID of the task that was changed.

### getTaskName

    String getTaskName()

  Name of the task that was changed

### getTaskPlanId

    TaskPlanId getTaskPlanId()

  ID of the task that was changed.

### getCreator

    String getCreator()

  User that created this task.

### getOwner

    String getOwner()

  Current owner at the time this event was created.

### getClaimant

    String getClaimant()

  Current claimant at the time this event was created.

### getAssigneeList

    AssigneeDefinition[] getAssigneeList()

  Current assignee list at the time this event was created.

### getAdminState

    AdminState.Type getAdminState()

  Current admin state at the time this event was created.

### getWorkingState

    WorkingState.Type getWorkingState()

  Current working state at the time this event was created.

### getCaller

    String getCaller()

  User name of the user that caused the change.

### getTimestamp

    long getTimestamp()

  Timestamp (long value representing local system time).

### getServerName

    String getServerName()

  The name of the server upon which this task change occurred.

### getSummary

    String getSummary()

  A summary of the most relevant information in this event, limited to 100 characters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD